=== debian/watch ===
version=3

# Official releases:
opts=pgpsigurlmangle=s/$/.sig/ \
http://ftp.gnu.org/gnu/grub/grub-([a-z0-9.~]+).tar.xz debian uupdate

# Betas and pre-releases:
#opts=pgpsigurlmangle=s/$/.sig/ \
#http://alpha.gnu.org/gnu/grub/grub-([a-z0-9.~]+).tar.xz debian uupdate
