=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: grub2
 Section: admin
-Priority: extra
+Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>
+XSBC-Original-Maintainer: GRUB Maintainers <pkg-grub-devel@alioth-lists.debian.net>
 Uploaders: Felix Zielcke <fzielcke@z-51.de>, Jordi Mallach <jordi@debian.org>, Colin Watson <cjwatson@debian.org>, Ian Campbell <ijc@debian.org>
 Build-Depends: debhelper (>= 7.4.2~),
  patchutils,
  dh-autoreconf,
+ dh-systemd,
  automake,
  python,
  flex,
@@ -14,8 +15,8 @@
  po-debconf,
  help2man,
  texinfo,
- gcc-6,
- gcc-6-multilib [i386 kopensolaris-i386 any-amd64 any-ppc64 any-sparc],
+ gcc-7,
+ gcc-7-multilib [i386 kopensolaris-i386 any-amd64 any-ppc64 any-sparc],
  xfonts-unifont,
  libfreetype6-dev,
  gettext,
@@ -29,15 +30,16 @@
  libfuse-dev (>= 2.8.4-1.4) [linux-any kfreebsd-any],
  ttf-dejavu-core,
  liblzma-dev,
- dosfstools [amd64 arm64],
- mtools [amd64 arm64],
+ dosfstools [i386 amd64 arm64],
+ mtools [i386 amd64 arm64],
  wamerican,
- libparted-dev [any-ppc64el],
+ libparted-dev [any-powerpc any-ppc64 any-ppc64el],
+ pkg-config,
 Build-Conflicts: autoconf2.13, libzfs-dev, libnvpair-dev
 Standards-Version: 3.9.6
 Homepage: http://www.gnu.org/software/grub/
-Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/grub/+git/bionic
-Vcs-Browser: https://git.launchpad.net/~ubuntu-core-dev/grub/+git/bionic
+Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/grub/+git/ubuntu
+Vcs-Browser: https://git.launchpad.net/~ubuntu-core-dev/grub/+git/ubuntu
 
 Package: grub2
 Section: oldlibs
@@ -62,7 +64,7 @@
 Section: oldlibs
 Architecture: any-i386 any-amd64
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, grub-efi-ia32 (= ${binary:Version}) [any-i386], grub-efi-amd64 (>= ${binary:Version}) [any-amd64]
+Depends: ${misc:Depends}, grub-efi-ia32 (= ${binary:Version}) [any-i386], grub-efi-amd64 (= ${binary:Version}) [any-amd64]
 Multi-Arch: foreign
 Description: GRand Unified Bootloader, version 2 (dummy package)
  This is a dummy transitional package that depends on either grub-efi-ia32 or
@@ -70,7 +72,6 @@
 
 
 Package: grub-common
-Priority: optional
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, gettext-base, ${lsb-base-depends}
 Replaces: grub-pc (<< 2.00-4), grub-ieee1275 (<< 2.00-4), grub-efi (<< 1.99-1), grub-coreboot (<< 2.00-4), grub-linuxbios (<< 1.96+20080831-1), grub-efi-ia32 (<< 2.00-4), grub-efi-amd64 (<< 2.00-4), grub-efi-ia64 (<< 2.00-4), grub-yeeloong (<< 2.00-4)
@@ -85,15 +86,14 @@
  specific to GRUB 2 are here as long as they do not break GRUB Legacy.
 
 Package: grub2-common
-Priority: optional
 # Not Architecture: any because this package contains some things which are
 # only built when there is a real platform (e.g. grub-install), and the rest
 # of the package is not very useful in a utilities-only build.
 Architecture: any-i386 any-amd64 any-powerpc any-ppc64 any-ppc64el any-sparc any-sparc64 any-mipsel any-ia64 any-arm any-arm64
 Depends: grub-common (= ${binary:Version}), dpkg (>= 1.15.4) | install-info, ${shlibs:Depends}, ${misc:Depends}
-Replaces: grub, grub-legacy, ${legacy-doc-br}, grub-common (<< 1.99-1), grub-pc (<< 2.02-2ubuntu8.25), grub-coreboot (<< 2.02-2ubuntu8.25), grub-efi-ia32 (<< 2.02-2ubuntu8.25), grub-efi-amd64 (<< 2.04-1ubuntu47.4), grub-efi-ia64 (<< 2.02-2ubuntu8.25), grub-efi-arm (<< 2.02-2ubuntu8.25), grub-efi-arm64 (<< 2.04-1ubuntu47.4), grub-ieee1275 (<< 2.02-2ubuntu8.25), grub-uboot (<< 2.02-2ubuntu8.25), grub-xen (<< 2.02-2ubuntu8.25), grub-yeeloong (<< 2.02-2ubuntu8.25)
+Replaces: grub, grub-legacy, ${legacy-doc-br}, grub-common (<< 1.99-1), grub-pc (<< 2.00-4), grub-ieee1275 (<< 2.00-4), grub-efi (<< 1.99-1), grub-coreboot (<< 2.00-4), grub-linuxbios (<< 1.99-1), grub-efi-ia32 (<< 2.00-4), grub-efi-amd64 (<< 2.00-4), grub-efi-ia64 (<< 2.00-4), grub-yeeloong (<< 2.00-4)
 Conflicts: grub-legacy
-Breaks: grub (<< 0.97-54), ${legacy-doc-br}, shim (<< 13), grub-pc (<< 2.02-2ubuntu8.25), grub-coreboot (<< 2.02-2ubuntu8.25), grub-efi-ia32 (<< 2.02-2ubuntu8.25), grub-efi-amd64 (<< 2.04-1ubuntu47.4), grub-efi-ia64 (<< 2.02-2ubuntu8.25), grub-efi-arm (<< 2.02-2ubuntu8.25), grub-efi-arm64 (<< 2.04-1ubuntu47.4), grub-ieee1275 (<< 2.02-2ubuntu8.25), grub-uboot (<< 2.02-2ubuntu8.25), grub-xen (<< 2.02-2ubuntu8.25), grub-yeeloong (<< 2.02-2ubuntu8.25)
+Breaks: grub (<< 0.97-54), ${legacy-doc-br}, shim (<< 13)
 Multi-Arch: foreign
 Description: GRand Unified Bootloader (common files for version 2)
  This package contains common files shared by the distinct flavours of GRUB.
@@ -120,7 +120,6 @@
  you are trying to debug GRUB using its GDB stub.
 
 Package: grub-pc-bin
-Priority: optional
 Architecture: any-i386 any-amd64
 Depends: ${shlibs:Depends}, ${misc:Depends}, grub-common (= ${binary:Version})
 Replaces: grub2 (<< ${source:Version}), grub-common (<= 1.97~beta2-1), grub-pc (<< 1.99-1)
@@ -155,7 +154,6 @@
  if you are trying to debug GRUB using its GDB stub.
 
 Package: grub-pc
-Priority: optional
 Architecture: any-i386 any-amd64
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}, grub2-common (= ${binary:Version}), grub-pc-bin (= ${binary:Version}), ucf, freebsd-utils (>= 8.0-4) [kfreebsd-any], ${gfxpayload-depends}
@@ -234,3 +232,16 @@
  .
   - Scripting in grub.cfg using BASH-like syntax.
   - Support for modern partition maps such as GPT.
+  - Modular generation of grub.cfg via update-grub.  Packages providing GRUB
+    add-ons can plug in their own script rules and trigger updates by invoking
+    update-grub.
+ .
+ This package contains a version of GRUB that has been built for use with
+ platforms running the Coreboot firmware.
+
+Package: grub-efi-ia32-bin
+Architecture: any-i386 any-amd64
+Depends: ${shlibs:Depends}, ${misc:Depends}, grub-common (= ${binary:Version}), efibootmgr [linux-any]
+Recommends: grub-efi-ia32-signed,
+Replaces: grub2 (<< ${source:Version}), grub-common (<= 1.97~beta2-1), grub-efi, grub-efi-ia32 (<< 1.99-1)
+Multi-Arch: foreign
