=== debian/watch ===
version=3

# Official releases:
opts=pgpsigurlmangle=s/$/.sig/,dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg1 \
http://ftp.gnu.org/gnu/grub/grub-([a-z0-9.~]+).tar.xz debian uupdate

# Betas and pre-releases:
#opts=pgpsigurlmangle=s/$/.sig/,dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg1 \
#http://alpha.gnu.org/gnu/grub/grub-([a-z0-9.~]+).tar.xz debian uupdate
