## grub2 2.02.24.3

=== debian/changelog ===
grub2 (2.02.24.3-1+eagle) unstable; urgency=medium

  * update

 -- GRUB Maintainers <pkg-grub-devel@alioth-lists.debian.net>  Wed, 02 Dec 2020 19:35:05 +0800

grub2 (2.02.24.3-1+dde1) unstable; urgency=medium

  * Non-maintainer upload.
  * fis  loongson xfs install  grub error

 -- Steve McIntyre <uos@uos-PC>  Wed, 16 Sep 2020 12:38:36 +0800

grub2 (2.02.24.3-1+dde) unstable; urgency=medium

  * Upgrade version

 -- Steve McIntyre <liujianqiang@uniontech.com>  Tue, 01 Sep 2020 14:04:39 +0800

grub2 (2.02.24.2-1+dde) unstable; urgency=medium

  * fix:double system display 20(20) error
  * close:#bug 22872
  * 

 -- Steve McIntyre <liujianqiang@uniontech.com>  Thu, 13 Aug 2020 10:20:54 +0800

grub2 (2.02.24.1-1+dde) unstable; urgency=medium

  * Non-maintainer upload.
  * 

 -- Steve McIntyre <aaa@aaa-PC>  Wed, 22 Jul 2020 09:35:52 +0800

grub2 (2.02+dfsg1-20) unstable; urgency=medium

  [ Steve McIntyre ]
  * Make all the signed EFI arches have a Recommends: from
    grub-efi-ARCH-signed to shim-signed, not just amd64.
    Closes: #931038
  * Add myself to Uploaders

 -- Steve McIntyre <93sam@debian.org>  Tue, 25 Jun 2019 10:11:12 +0100

grub2 (2.02+dfsg1-19) unstable; urgency=medium

  [ Colin Watson ]
  * Fix format of debian/copyright.

  [ Steve McIntyre ]
  * Add the ntfs module to signed UEFI images. Closes: #923855
  * Add the cpuid module to signed UEFI images. Closes: #928628
  * Add the play module to signed UEFI images. Closes: #930290
  * Add an extra di-specific version of the UEFI netboot image with a
    different baked-in prefix value. Helps to fix #928750.
  * Deal with --force-extra-removable with signed shim too. Closes: #930531

 -- Colin Watson <cjwatson@debian.org>  Fri, 14 Jun 2019 19:04:01 +0100

grub2 (2.02+dfsg1-18) unstable; urgency=medium

  * Apply patches from Alexander Graf to fix grub-efi-arm crash (closes:
    #927269):
    - arm: Move trampolines into code section
    - arm: Align section alignment with manual relocation offset code
  * Make grub2-common Breaks+Replaces grub-cloud-amd64 (<< 0.0.4) to work
    around that package shipping colliding configuration file names in
    stretch-backports (closes: #919915).
  * Apply patch from Peter Jones to forbid the "devicetree" command when
    Secure Boot is enabled (closes: #927888).

 -- Colin Watson <cjwatson@debian.org>  Sat, 04 May 2019 22:58:32 +0100

grub2 (2.02+dfsg1-17) unstable; urgency=medium

  * Make grub-efi-*-bin recommend efibootmgr.  We don't actually use it any
    more, but it's helpful for debugging.

 -- Colin Watson <cjwatson@debian.org>  Mon, 15 Apr 2019 18:38:30 +0100

grub2 (2.02+dfsg1-16) unstable; urgency=medium

  * Fix -Wcast-align diagnostics on ARM.

 -- Colin Watson <cjwatson@debian.org>  Sat, 23 Mar 2019 23:28:17 +0000

grub2 (2.02+dfsg1-15) unstable; urgency=medium

  * Build-depend on libefiboot-dev and libefivar-dev, for EFI variable
    storage changes.
  * Drop now-unnecessary dependencies on efibootmgr.

 -- Colin Watson <cjwatson@debian.org>  Sat, 23 Mar 2019 09:56:35 +0000

grub2 (2.02+dfsg1-14) unstable; urgency=medium

  * Make signed packages depend on a matching version of grub-common, in an
    attempt to prevent incorrect testing migrations (closes: #924814).
  * Cherry-pick from upstream:
    - xfs: Accept filesystem with sparse inodes (closes: #924760).
  * Minimise writes to EFI variable storage (closes: #891434).

 -- Colin Watson <cjwatson@debian.org>  Sat, 23 Mar 2019 09:47:10 +0000

grub2 (2.02+dfsg1-13) unstable; urgency=medium

  * Add regexp module to signed UEFI images.
  * debian/signing-template.json.in: Use new extendable format.

  [ Debconf translations ]
  * [nb] Norwegian Bokmål (Petter Reinholdtsen; closes: #924326).

 -- Colin Watson <cjwatson@debian.org>  Thu, 14 Mar 2019 10:33:24 +0000

grub2 (2.02+dfsg1-12) unstable; urgency=medium

  [ Colin Watson ]
  * Remove code to migrate grub-pc/install_devices to persistent device
    names under /dev/disk/by-id/.  This migration happened in
    1.98+20100702-1, which was in squeeze (four stable releases ago), so we
    no longer need to carry around this complex code.
  * Preserve previous answer to grub-pc/install_devices if we have to ask
    grub-pc/install_devices_disks_changed and the user chooses not to
    install to any devices, so that we can recover from temporary bugs that
    cause /dev/disk/by-id/ paths to change (closes: #919029).
  * debian/signing-template.json.in: Add trusted_certs key (empty, since
    GRUB has no hardcoded list of trusted certificates).
  * util: Detect more I/O errors (closes: #922741).

  [ Leif Lindholm ]
  * arm64/efi: Fix grub_efi_get_ram_base().

  [ Steve McIntyre ]
  * grub-install: Check for arm-efi as a default target (closes: #922104).

  [ James Clarke ]
  * osdep/freebsd: Fix partition calculation for EBR entries (closes:
    #923253).

 -- Colin Watson <cjwatson@debian.org>  Fri, 01 Mar 2019 12:34:45 +0000

grub2 (2.02+dfsg1-11) unstable; urgency=medium

  [ Colin Watson ]
  * Apply patches from Alexander Graf to set arm64-efi code offset to
    EFI_PAGE_SIZE (closes: #919012, LP: #1812317).
  * Upgrade to debhelper v10.
  * Set Rules-Requires-Root: no.
  * Add help and ls modules to signed UEFI images (closes: #919955).
  * Fix application of answers from dpkg-reconfigure to /etc/default/grub
    (based loosely on a patch by Steve Langasek, for which thanks; closes:
    #921702).

  [ Steve McIntyre ]
  * Make grub-efi-amd64-signed recommend shim-signed (closes: #919067).

  [ Jeroen Dekkers ]
  * Initialize keyboard in at_keyboard module init if keyboard is ready
    (closes: #741464).

  [ John Paul Adrian Glaubitz ]
  * Include a.out header in assembly of sparc64 boot loader (closes:
    #921249).

  [ Hervé Werner ]
  * Fix setup on Secure Boot systems where cryptodisk is in use (closes:
    #917117).

  [ Debconf translations ]
  * [de] German (Helge Kreutzmann and Holger Wansing; closes: #921018).
